package ru.myitschool.work.domain.auth

class CheckLoginFormatUseCase {
    operator fun invoke(
        text: String
    ): Boolean {
        return  text.all { char ->
            (char.isLetterOrDigit() &&
                    ((char in ('A'..'Z')) || (char in ('a'..'z')) || char.isDigit()))
                    || char == '.'

        }
    }
}